com.fasterxml.jackson.dataformat.yaml

## Class YAMLFactory

- java.lang.Object
- - com.fasterxml.jackson.core.JsonFactory
  - - com.fasterxml.jackson.dataformat.yaml.YAMLFactory

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable

      public class YAMLFactory
      extends com.fasterxml.jackson.core.JsonFactory

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonFactory

      `com.fasterxml.jackson.core.JsonFactory.Feature`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.yaml.snakeyaml.DumperOptions.Version` | `_version`
    `protected int` | `_yamlGeneratorFeatures`
    `protected int` | `_yamlParserFeatures`
    `protected static int` | `DEFAULT_YAML_GENERATOR_FEATURE_FLAGS` Bitfield (set of flags) of all generator features that are enabled by default.
    `protected static int` | `DEFAULT_YAML_PARSER_FEATURE_FLAGS` Bitfield (set of flags) of all parser features that are enabled by default.
    `static String` | `FORMAT_NAME_YAML` Name used to identify YAML format.
    `protected Charset` | `UTF8`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonFactory

      `_byteSymbolCanonicalizer, _characterEscapes, _factoryFeatures, _generatorFeatures, _inputDecorator, _objectCodec, _outputDecorator, _parserFeatures, _recyclerRef, _rootCharSymbols, _rootValueSeparator, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS, FORMAT_NAME_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YAMLFactory()` Default constructor used to create factory instances.
    `YAMLFactory(com.fasterxml.jackson.core.ObjectCodec oc)`
    `YAMLFactory(YAMLFactory src, com.fasterxml.jackson.core.ObjectCodec oc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected YAMLGenerator` | `_createGenerator(Writer out, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected YAMLParser` | `_createParser(byte[] data, int offset, int len, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected YAMLParser` | `_createParser(char[] data, int offset, int len, com.fasterxml.jackson.core.io.IOContext ctxt, boolean recyclable)`
    `protected YAMLParser` | `_createParser(InputStream in, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected YAMLParser` | `_createParser(Reader r, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected Reader` | `_createReader(byte[] data, int offset, int len, com.fasterxml.jackson.core.JsonEncoding enc, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected Reader` | `_createReader(InputStream in, com.fasterxml.jackson.core.JsonEncoding enc, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected YAMLGenerator` | `_createUTF8Generator(OutputStream out, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `protected Writer` | `_createWriter(OutputStream out, com.fasterxml.jackson.core.JsonEncoding enc, com.fasterxml.jackson.core.io.IOContext ctxt)`
    `boolean` | `canUseCharArrays()`
    `YAMLFactory` | `configure(YAMLGenerator.Feature f, boolean state)` Method for enabling or disabling specified generator feature (check `YAMLGenerator.Feature` for list of features)
    `YAMLFactory` | `configure(YAMLParser.Feature f, boolean state)` Method for enabling or disabling specified parser feature (check `YAMLParser.Feature` for list of features)
    `YAMLFactory` | `copy()`
    `com.fasterxml.jackson.core.JsonGenerator` | `createGenerator(File f, com.fasterxml.jackson.core.JsonEncoding enc)`
    `YAMLGenerator` | `createGenerator(OutputStream out)`
    `YAMLGenerator` | `createGenerator(OutputStream out, com.fasterxml.jackson.core.JsonEncoding enc)`
    `YAMLGenerator` | `createGenerator(Writer out)`
    `YAMLParser` | `createParser(byte[] data)`
    `YAMLParser` | `createParser(byte[] data, int offset, int len)`
    `YAMLParser` | `createParser(char[] data)`
    `YAMLParser` | `createParser(char[] data, int offset, int len)`
    `YAMLParser` | `createParser(File f)`
    `YAMLParser` | `createParser(InputStream in)`
    `YAMLParser` | `createParser(Reader r)`
    `YAMLParser` | `createParser(String content)`
    `YAMLParser` | `createParser(URL url)`
    `YAMLFactory` | `disable(YAMLGenerator.Feature f)` Method for disabling specified generator feature (check `YAMLGenerator.Feature` for list of features)
    `YAMLFactory` | `disable(YAMLParser.Feature f)` Method for disabling specified parser features (check `YAMLParser.Feature` for list of features)
    `YAMLFactory` | `enable(YAMLGenerator.Feature f)` Method for enabling specified generator features (check `YAMLGenerator.Feature` for list of features)
    `YAMLFactory` | `enable(YAMLParser.Feature f)` Method for enabling specified parser feature (check `YAMLParser.Feature` for list of features)
    `String` | `getFormatName()`
    `com.fasterxml.jackson.core.format.MatchStrength` | `hasFormat(com.fasterxml.jackson.core.format.InputAccessor acc)` Sub-classes need to override this method (as of 1.8)
    `boolean` | `isEnabled(YAMLGenerator.Feature f)` Check whether specified generator feature is enabled.
    `boolean` | `isEnabled(YAMLParser.Feature f)` Checked whether specified parser feature is enabled.
    `protected Object` | `readResolve()` Method that we need to override to actually make restoration go through constructors etc.
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonFactory

      `_checkInvalidCopy, _createContext, _createDataOutputWrapper, _createParser, _decorate, _decorate, _decorate, _decorate, _decorate, _getBufferRecycler, _optimizedStreamFromURL, canHandleBinaryNatively, canParseAsync, canUseSchema, configure, configure, configure, createGenerator, createGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createNonBlockingByteArrayParser, createParser, disable, disable, disable, enable, enable, enable, getCharacterEscapes, getCodec, getFormatReadFeatureType, getFormatWriteFeatureType, getInputDecorator, getOutputDecorator, getRootValueSeparator, hasJSONFormat, isEnabled, isEnabled, isEnabled, requiresCustomCodec, requiresPropertyOrdering, setCharacterEscapes, setCodec, setInputDecorator, setOutputDecorator, setRootValueSeparator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT_NAME_YAML

          public static final String FORMAT_NAME_YAML

      Name used to identify YAML format. (and returned by `getFormatName()`
      See Also:
        Constant Field Values

    - #### DEFAULT_YAML_PARSER_FEATURE_FLAGS

          protected static final int DEFAULT_YAML_PARSER_FEATURE_FLAGS

      Bitfield (set of flags) of all parser features that are enabled by default.

    - #### DEFAULT_YAML_GENERATOR_FEATURE_FLAGS

          protected static final int DEFAULT_YAML_GENERATOR_FEATURE_FLAGS

      Bitfield (set of flags) of all generator features that are enabled by default.

    - #### _yamlParserFeatures

          protected int _yamlParserFeatures

    - #### _yamlGeneratorFeatures

          protected int _yamlGeneratorFeatures

    - #### _version

          protected org.yaml.snakeyaml.DumperOptions.Version _version

    - #### UTF8

          protected final Charset UTF8

  - ### Constructor Detail

    - #### YAMLFactory

          public YAMLFactory()

      Default constructor used to create factory instances. Creation of a factory instance is a light-weight operation, but it is still a good idea to reuse limited number of factory instances (and quite often just a single instance): factories are used as context for storing some reused processing objects (such as symbol tables parsers use) and this reuse only works within context of a single factory instance.

    - #### YAMLFactory

          public YAMLFactory(com.fasterxml.jackson.core.ObjectCodec oc)

    - #### YAMLFactory

          public YAMLFactory(YAMLFactory src,
                     com.fasterxml.jackson.core.ObjectCodec oc)

      Since:
        2.2.1

  - ### Method Detail

    - #### copy

          public YAMLFactory copy()

      Overrides:
        `copy` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### readResolve

          protected Object readResolve()

      Method that we need to override to actually make restoration go through constructors etc. Also: must be overridden by sub-classes as well.
      Overrides:
        `readResolve` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Overrides:
        `version` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### canUseCharArrays

          public boolean canUseCharArrays()

      Overrides:
        `canUseCharArrays` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### getFormatName

          public String getFormatName()

      Overrides:
        `getFormatName` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### hasFormat

          public com.fasterxml.jackson.core.format.MatchStrength hasFormat(com.fasterxml.jackson.core.format.InputAccessor acc)
                                                                    throws IOException

      Sub-classes need to override this method (as of 1.8)
      Overrides:
        `hasFormat` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### configure

          public final YAMLFactory configure(YAMLParser.Feature f,
                              boolean state)

      Method for enabling or disabling specified parser feature (check `YAMLParser.Feature` for list of features)

    - #### enable

          public YAMLFactory enable(YAMLParser.Feature f)

      Method for enabling specified parser feature (check `YAMLParser.Feature` for list of features)

    - #### disable

          public YAMLFactory disable(YAMLParser.Feature f)

      Method for disabling specified parser features (check `YAMLParser.Feature` for list of features)

    - #### isEnabled

          public final boolean isEnabled(YAMLParser.Feature f)

      Checked whether specified parser feature is enabled.

    - #### configure

          public final YAMLFactory configure(YAMLGenerator.Feature f,
                              boolean state)

      Method for enabling or disabling specified generator feature (check `YAMLGenerator.Feature` for list of features)

    - #### enable

          public YAMLFactory enable(YAMLGenerator.Feature f)

      Method for enabling specified generator features (check `YAMLGenerator.Feature` for list of features)

    - #### disable

          public YAMLFactory disable(YAMLGenerator.Feature f)

      Method for disabling specified generator feature (check `YAMLGenerator.Feature` for list of features)

    - #### isEnabled

          public final boolean isEnabled(YAMLGenerator.Feature f)

      Check whether specified generator feature is enabled.

    - #### createParser

          public YAMLParser createParser(String content)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public YAMLParser createParser(File f)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public YAMLParser createParser(URL url)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public YAMLParser createParser(InputStream in)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public YAMLParser createParser(Reader r)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public YAMLParser createParser(char[] data)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public YAMLParser createParser(char[] data,
                                int offset,
                                int len)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public YAMLParser createParser(byte[] data)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createParser

          public YAMLParser createParser(byte[] data,
                                int offset,
                                int len)
                                  throws IOException

      Overrides:
        `createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public YAMLGenerator createGenerator(OutputStream out,
                                      com.fasterxml.jackson.core.JsonEncoding enc)
                                        throws IOException

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public YAMLGenerator createGenerator(OutputStream out)
                                        throws IOException

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public YAMLGenerator createGenerator(Writer out)
                                        throws IOException

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### createGenerator

          public com.fasterxml.jackson.core.JsonGenerator createGenerator(File f,
                                                                 com.fasterxml.jackson.core.JsonEncoding enc)
                                                                   throws IOException

      Overrides:
        `createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected YAMLParser _createParser(InputStream in,
                                 com.fasterxml.jackson.core.io.IOContext ctxt)
                                      throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected YAMLParser _createParser(Reader r,
                                 com.fasterxml.jackson.core.io.IOContext ctxt)
                                      throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected YAMLParser _createParser(char[] data,
                                 int offset,
                                 int len,
                                 com.fasterxml.jackson.core.io.IOContext ctxt,
                                 boolean recyclable)
                                      throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createParser

          protected YAMLParser _createParser(byte[] data,
                                 int offset,
                                 int len,
                                 com.fasterxml.jackson.core.io.IOContext ctxt)
                                      throws IOException

      Overrides:
        `_createParser` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createGenerator

          protected YAMLGenerator _createGenerator(Writer out,
                                       com.fasterxml.jackson.core.io.IOContext ctxt)
                                            throws IOException

      Overrides:
        `_createGenerator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createUTF8Generator

          protected YAMLGenerator _createUTF8Generator(OutputStream out,
                                           com.fasterxml.jackson.core.io.IOContext ctxt)
                                                throws IOException

      Overrides:
        `_createUTF8Generator` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createWriter

          protected Writer _createWriter(OutputStream out,
                             com.fasterxml.jackson.core.JsonEncoding enc,
                             com.fasterxml.jackson.core.io.IOContext ctxt)
                                  throws IOException

      Overrides:
        `_createWriter` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `IOException`

    - #### _createReader

          protected Reader _createReader(InputStream in,
                             com.fasterxml.jackson.core.JsonEncoding enc,
                             com.fasterxml.jackson.core.io.IOContext ctxt)
                                  throws IOException

      Throws:
        `IOException`

    - #### _createReader

          protected Reader _createReader(byte[] data,
                             int offset,
                             int len,
                             com.fasterxml.jackson.core.JsonEncoding enc,
                             com.fasterxml.jackson.core.io.IOContext ctxt)
                                  throws IOException

      Throws:
        `IOException`

Copyright © 2017 FasterXML. All rights reserved.